Uploaded image for project: 'Documentation'
  1. Documentation
  2. DOCS-7953

Instruction for handling index version change when downgrading from 3.4 to 3.2

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Critical - P2
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.4.0
    • Component/s: Server
    • Labels:
    • # Replies:
      0
    • Last comment by Customer:
      true
    • Story Points:
      0.25
    • Sprint:
      KANBAN BUCKET

      Description

      In 3.4, there is a keystring version change. This will cause the following possible scenario:
      1. User upgrade to 3.4
      2. User create a collection in 3.4
      3. User downgrade to 3.2 and attempt to start the server.
      4. Server crash due to incompatible keystring version on the index.

      We need to update dochub link (name: "3.4-index-downgrade") when downgrade grade with appropriate section exists that will give them user-friendly instruction on how to remedy this issue.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              kay.kim Kay Kim (Inactive)
              Reporter:
              vincent.do Vincent Do
              Participants:
              Last commenter:
              Jonathan Dahl
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since reply:
                4 years, 17 weeks, 6 days ago
                Date of 1st Reply: